org.apache.ignite.internal.util.lang.gridfunc

## Class AlwaysFalsePredicate<E>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.AlwaysFalsePredicate<E>

Type Parameters:
  `E` - Type of predicate parameter.

All Implemented Interfaces:
  Serializable, IgnitePredicate<E>

    public class AlwaysFalsePredicate<E>
    extends Object
    implements IgnitePredicate<E>

Defines a predicate which accepts a parameter and always returns `false`

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AlwaysFalsePredicate()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(E e)` Predicate body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AlwaysFalsePredicate

    public AlwaysFalsePredicate()

### Method Detail

#### apply

    public boolean apply(E e)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<E>`
Parameters:
  `e` - Predicate parameter.
Returns:
  Always `false`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020